{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    <nixos-hardware/common/cpu/intel>
    ../../common

    # services
    ../../shared-services/pulseaudio.nix
    ../../shared-services/nfs-client.nix
    ../../shared-services/mpd.nix
    ../../shared-services/ympd.nix
    ../../shared-services/spotifyd.nix
    ../../shared-services/desktop.nix
    ../../shared-services/vnc.nix
    ../../shared-services/webserver.nix
  ];

  networking.hostName = "nuc";
  networking.domain = "c3h";

  boot.loader.systemd-boot.enable = true;

  system.stateVersion = "21.05";
}
