{ pkgs, ... }:

{
  systemd.user.services.x11vnc = {
    wantedBy = [ "graphical-session.target" ];
    requires = [ "graphical-session-pre.target" ];
    after = [ "graphical-session-pre.target" ];

    serviceConfig = {
      ExecStart = "${pkgs.x11vnc}/bin/x11vnc -rfbport 5900 -forever -shared";
    };
  };

  networking.firewall.allowedTCPPorts = [ 5900 ];
}
